Package org.apache.cayenne.exp.parser

# Class ASTBitwiseOr

java.lang.Object
org.apache.cayenne.exp.Expression
org.apache.cayenne.exp.parser.SimpleNode
org.apache.cayenne.exp.parser.EvaluatedNode
org.apache.cayenne.exp.parser.EvaluatedBitwiseNode
org.apache.cayenne.exp.parser.ASTBitwiseOr

All Implemented Interfaces:
  `Serializable`, `Node`, `XMLSerializable`

public class ASTBitwiseOr extends EvaluatedBitwiseNode
Bitwise disjunction (OR or '|') expression.

Since:
  3.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.exp.parser.SimpleNode

  `children, id, parent`

  ### Fields inherited from class org.apache.cayenne.exp.Expression

  `ADD, AND, ASTERISK, BETWEEN, BITWISE_AND, BITWISE_LEFT_SHIFT, BITWISE_NOT, BITWISE_OR, BITWISE_RIGHT_SHIFT, BITWISE_XOR, CUSTOM_OP, DB_PATH, DBID_PATH, DIVIDE, ENCLOSING_OBJECT, EQUAL_TO, EXISTS, FALSE, FULL_OBJECT, FUNCTION_CALL, GREATER_THAN, GREATER_THAN_EQUAL_TO, IN, LESS_THAN, LESS_THAN_EQUAL_TO, LIKE, LIKE_IGNORE_CASE, LIST, MULTIPLY, NEGATIVE, NOT, NOT_BETWEEN, NOT_EQUAL_TO, NOT_EXISTS, NOT_IN, NOT_LIKE, NOT_LIKE_IGNORE_CASE, OBJ_PATH, OR, PRUNED_NODE, SUBQUERY, SUBTRACT, TRUE, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ASTBitwiseOr()`
  `ASTBitwiseOr(Object[] nodes)`
  `ASTBitwiseOr(Collection<Object> nodes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getEJBQLExpressionOperator(int index)`
  Returns operator for EJBQL statements, which can differ for Cayenne expression operator
  `protected String`
  `getExpressionOperator(int index)`
  `int`
  `getType()`
  Returns a type of expression.
  `void`
  `jjtClose()`
  Called after all the child nodes have been added.
  `protected long`
  `op(long result, long arg)`
  `Expression`
  `shallowCopy()`
  Creates a copy of this expression node, without copying children.

  ### Methods inherited from class org.apache.cayenne.exp.parser.EvaluatedBitwiseNode

  `evaluateSubNode, getRequiredChildrenCount`

  ### Methods inherited from class org.apache.cayenne.exp.parser.EvaluatedNode

  `evaluateNode`

  ### Methods inherited from class org.apache.cayenne.exp.parser.SimpleNode

  `appendAsEJBQL, appendAsEJBQL, appendAsEscapedString, appendAsString, appendChildrenAsEJBQL, appendScalarAsString, connectChildren, encodeScalarAsEJBQL, evaluate, evaluateChild, expName, flattenTree, getOperand, getOperandCount, getPathAliases, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, notExp, pruneNodeForPrunedChild, setOperand, unwrapChild, wrapChild`

  ### Methods inherited from class org.apache.cayenne.exp.Expression

  `andExp, andExp, deepCopy, encodeAsXML, equals, filter, filterObjects, first, hashCode, joinExp, joinExp, match, orExp, orExp, params, params, paramsArray, setType, toEJBQL, toEJBQL, toString, transform, transformExpression, traverse, traverse`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ASTBitwiseOr

    public ASTBitwiseOr()

  - ### ASTBitwiseOr

    public ASTBitwiseOr(Object[] nodes)

  - ### ASTBitwiseOr

    public ASTBitwiseOr(Collection<Object> nodes)

- ## Method Details

  - ### op

    protected long op(long result, long arg)
    Specified by:
      `op` in class `EvaluatedBitwiseNode`

  - ### getExpressionOperator

    protected String getExpressionOperator(int index)
    Specified by:
      `getExpressionOperator` in class `SimpleNode`

  - ### getType

    public int getType()
    Description copied from class: `Expression`
    Returns a type of expression. Most common types are defined as public static fields of this interface.
    Overrides:
      `getType` in class `Expression`

  - ### getEJBQLExpressionOperator

    protected String getEJBQLExpressionOperator(int index)
    Description copied from class: `SimpleNode`
    Returns operator for EJBQL statements, which can differ for Cayenne expression operator
    Overrides:
      `getEJBQLExpressionOperator` in class `SimpleNode`

  - ### shallowCopy

    public Expression shallowCopy()
    Description copied from class: `Expression`
    Creates a copy of this expression node, without copying children.
    Specified by:
      `shallowCopy` in class `Expression`

  - ### jjtClose

    public void jjtClose()
    Description copied from interface: `Node`
    Called after all the child nodes have been added.
    Specified by:
      `jjtClose` in interface `Node`
    Overrides:
      `jjtClose` in class `SimpleNode`